<?xml version="1.0" encoding="UTF-8"?>
<S412:DataSet xmlns:S100="http://www.iho.int/s100gml/1.0"
 xmlns:gml="http://www.opengis.net/gml/3.2"
 xmlns:clsa="http://reference.niem.gov/niem/specification/code-lists/1.0/code-lists-schema-appinfo/"
 xmlns:xlink="http://www.w3.org/1999/xlink"
 xmlns:s100_profile="http://www.iho.int/S-100/profile/s100_gmlProfile"
 xmlns:S412="http://www.iho.int/S412/gml/1.0"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xsi:schemaLocation="http://www.iho.int/S412/gml/1.0 S412.xsd" gml:id="ID000">
<member>
  <S412:Front gml:id="S412.demo.f1">
   <scaleMaximum>100000</scaleMaximum>
   <scaleMinimum>10000000</scaleMinimum>
   <categoryOfFront>1</categoryOfFront>
   <time>
    <validTime>99991939T240000</validTime>
   </time>
   <geometry>
    <S100:curveProperty>
     <S100:Curve gml:id="c1">
      <gml:segments>
       <S100:S100_GM_SplineCurve interpolation="bSpline">
        <gml:posList>-10.0 11.0 -12.0 12.0 -14.0 15.0 -16.0 20.0</gml:posList>
        <S100:degree>3</S100:degree>
        <S100:isRational>false</S100:isRational>
       </S100:S100_GM_SplineCurve>
       <!-- Add more segments here as necessary -->
      </gml:segments>
     </S100:Curve>
    </S100:curveProperty>
   </geometry>
  </S412:Front>
</member>

<!-- example with polynomial spline -->
 <member>
  <S412:Front gml:id="S412.demo.f2">
   <scaleMaximum>100000</scaleMaximum>
   <scaleMinimum>10000000</scaleMinimum>
   <categoryOfFront>1</categoryOfFront>
   <time>
    <validTime>99991939T240000</validTime>
   </time>
   <geometry>
    <S100:curveProperty>
     <S100:Curve gml:id="c2">
      <gml:segments>
       <S100:S100_GM_PolynomialSpline interpolation="polynomialSpline">
        <gml:posList>-10.0 11.0 -12.0 12.0 -14.0 15.0 -16.0 20.0</gml:posList>
        <S100:degree>3</S100:degree>
        <S100:isRational>false</S100:isRational>
        <S100:derivativeAtStart>
         <S100:origin>
          <gml:pos srsName="EPSG:4326">-10.0 11.0</gml:pos>
         </S100:origin>
         <S100:dimension>2</S100:dimension>
         <S100:offset>1.000 -1.000</S100:offset>
        </S100:derivativeAtStart>
        <S100:derivativeAtEnd>
         <S100:origin>
          <gml:pos>-16.0 20.0</gml:pos>
         </S100:origin>
         <S100:dimension>2</S100:dimension>
         <S100:offset>1.000 1.000</S100:offset>
        </S100:derivativeAtEnd>
        <S100:numDerivativeInterior>2</S100:numDerivativeInterior>
       </S100:S100_GM_PolynomialSpline>
       <!-- Add more segments here as necessary -->
      </gml:segments>
     </S100:Curve>
    </S100:curveProperty>
   </geometry>
  </S412:Front>
 </member>
<!-- Explicit encoding of the CRS is possible using the GML SRSName attribute of the origin, if necessary - see the example above. -->

 <member>
  <S412:Front gml:id="S412.demo.f3">
   <scaleMaximum>100000</scaleMaximum>
   <scaleMinimum>10000000</scaleMinimum>
   <categoryOfFront>1</categoryOfFront>
   <time>
    <validTime>99991939T240000</validTime>
   </time>
   <geometry>
    <S100:curveProperty>
     <S100:Curve gml:id="c3">
      <gml:segments>
       <S100:S100_GM_Curve interpolation="blendedParabolic">
        <gml:posList>-10.0 11.0 -9.0 12.0 -8.0 9.0 -6.0 20.0</gml:posList>
       </S100:S100_GM_Curve>
      </gml:segments>
     </S100:Curve>
    </S100:curveProperty>
   </geometry>
  </S412:Front>
 </member>

</S412:DataSet>
